## gradle 1.5

=== debian/changelog ===
gradle (1.5-2) unstable; urgency=medium

  * Team upload.
  * Fixed a build failure caused by the transition of libspock-java to cglib3
  * Added an explicit build dependency on libaether-java
  * Standards-Version updated to 3.9.6 (no changes)

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 08 Oct 2014 09:45:56 +0200

gradle (1.5-1) unstable; urgency=medium

  [ Emmanuel Bourg ]
  * Team upload.
  * New upstream release
    - Added a build dependency on libjatl-java
    - Refreshed the patches
  * Fixed a compilation error with Java 8
  * Standards-Version updated to 3.9.5 (no changes)
  * Updated the version of Guava used to fix a clean error
  * Use XZ compression for the upstream tarball
  * Switch to debhelper level 9

  [ Miguel Landaeta ]
  * Add patch to don't override user defined JAVA_HOME in the gradle script.
    (Closes: #719814).
  * Fix possible-unindented-list-in-extended-description lintian tag.

 -- Miguel Landaeta <nomadium@debian.org>  Tue, 13 May 2014 17:38:10 -0300
