=== debian/control ===
Source: gradle
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Miguel Landaeta <miguel@miguel.cc>,
           Damien Raude-Morvan <drazzib@debian.org>
Section: java
Priority: optional
Build-Depends: ant (>= 1.8),
               ant-optional (>= 1.8),
               bnd,
               checkstyle (>= 5.1),
               debhelper (>= 9),
               default-jdk,
               default-jdk-doc,
               docbook-xsl,
               gradle,
               groovy (>= 1.8),
               groovy-doc,
               ivy (>= 2.3),
               javahelper,
               junit4,
               libaether-java,
               libantlr-java,
               libasm4-java,
               libbcpg-java,
               libbcprov-java,
               libclassycle-java,
               libcodenarc-groovy-java (>= 0.17),
               libcommons-cli-java,
               libcommons-codec-java,
               libcommons-collections3-java,
               libcommons-io-java,
               libcore-renderer-java,
               libdom4j-java,
               libecj-java,
               libgoogle-gson-java,
               libgradle-plugins-java,
               libguava-java,
               libhttpclient-java (>= 4.2.1),
               libjaffl-java (>= 0.5.9-2),
               libjansi-java,
               libjarjar-java (>= 1.4+svn142),
               libjatl-java,
               libjaxen-java,
               libjcifs-java,
               libjcip-annotations-java,
               libjetty-extra-java,
               libjetty-java,
               libjmock2-java,
               libjna-java,
               libjnr-posix-java (>= 1.1.8),
               libjsch-java,
               libkryo-java,
               liblogback-java (>= 1:0.9.28),
               libmaven-ant-tasks-java,
               libnative-platform-java,
               libnekohtml-java,
               libplexus-cipher-java,
               libplexus-containers1.5-java,
               libplexus-interpolation-java,
               libplexus-sec-dispatcher-java,
               libplexus-utils2-java,
               libpolyglot-maven-java,
               librhino-java,
               libservlet2.5-java,
               libslf4j-java (>= 1.7.2),
               libspock-java (>= 0.6-groovy-1.8-3~),
               libwagon-java,
               libxalan2-java,
               libxerces2-java,
               libxmlunit-java,
               libxslthl-java,
               maven (>= 3.0.4-4),
               testng,
               unzip
Build-Conflicts: groovy (>= 2.0.0~)
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-java/gradle.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-java/gradle.git
Homepage: http://gradle.org

Package: gradle
Architecture: all
Depends: ant (>= 1.8),
         default-jre-headless,
         libdom4j-java,
         libgradle-core-java (= ${binary:Version}),
         libgradle-plugins-java (= ${binary:Version}),
         libjaffl-java (>= 0.5.9-2),
         libjaxen-java,
         libjna-java,
         libjnr-posix-java (>= 1.1.8),
         libkryo-java,
         libnative-platform-java,
         libwagon-java,
         ${misc:Depends}
Description: Groovy based build system
 Gradle is a build system written in Groovy. It uses Groovy
 also as the language for its build scripts. It has a powerful
 multi-project build support. It has a layer on top of Ivy
 that provides a build-by-convention integration for Ivy. It
 gives you always the choice between the flexibility of Ant
 and the convenience of a build-by-convention behavior.

Package: libgradle-core-java
Architecture: all
Depends: ant,
         groovy (>= 1.8),
         ivy (>= 2.3),
         libasm4-java,
         libcommons-codec-java,
         libcommons-collections3-java,
         libcommons-io-java,
         libcommons-lang-java,
         libguava-java,
         libhttpclient-java (>= 4.2.1),
         libjansi-java,
         libjarjar-java,
         libjcifs-java,
         libjcip-annotations-java,
         libjsch-java,
         liblogback-java (>= 1:0.9.28),
         libmaven-ant-tasks-java,
         libnekohtml-java,
         libplexus-cipher-java,
         libplexus-containers1.5-java,
         libplexus-interpolation-java,
         libplexus-sec-dispatcher-java,
         libplexus-utils2-java,
         libpolyglot-maven-java,
         libslf4j-java,
         libxerces2-java,
         libxml-commons-external-java,
         maven (>= 3.0.4-4),
         ${misc:Depends}
Breaks: libgradle-wrapper-java (<< 1.3~)
Replaces: libgradle-wrapper-java (<< 1.3~)
Recommends: gradle (= ${binary:Version})
Suggests: gradle-doc (= ${binary:Version})
Description: Groovy based build system - Core library
 Gradle is a build system written in Groovy. It uses Groovy
 also as the language for its build scripts. It has a powerful
 multi-project build support. It has a layer on top of Ivy
 that provides a build-by-convention integration for Ivy. It
 gives you always the choice between the flexibility of Ant
 and the convenience of a build-by-convention behavior.
 .
 This package contains the Gradle Core API library.

Package: libgradle-plugins-java
Architecture: all
Depends: ant-optional (>= 1.8),
         bnd,
         checkstyle (>= 5.1),
         junit4,
         libantlr-java,
         libbcpg-java,
         libbcprov-java,
         libcodenarc-groovy-java (>= 0.17),
         libcommons-cli-java,
         libecj-java,
         libgmetrics-groovy-java,
         libgoogle-gson-java,
         libgradle-core-java (= ${binary:Version}),
         libjatl-java,
         libjetty-extra-java,
         libjetty-java,
         librhino-java,
         libservlet2.5-java,
         testng,
         ${misc:Depends}
Suggests: scala
Breaks: libgradle-announce-java (<< 1.3~),
        libgradle-antlr-java (<< 1.3~),
        libgradle-code-quality-java (<< 1.3~),
        libgradle-cpp-java (<< 1.3~),
        libgradle-ear-java (<< 1.3~),
        libgradle-eclipse-java (<< 1.0~),
        libgradle-ide-java (<< 1.3~),
        libgradle-idea-java (<< 1.0~),
        libgradle-javascript-java (<< 1.3~),
        libgradle-jetty-java (<< 1.3~),
        libgradle-maven-java (<< 1.3~),
        libgradle-osgi-java (<< 1.3~),
        libgradle-scala-java (<< 1.3~),
        libgradle-signing-java (<< 1.3~)
Replaces: libgradle-announce-java (<< 1.3~),
          libgradle-antlr-java (<< 1.3~),
          libgradle-code-quality-java (<< 1.3~),
          libgradle-cpp-java (<< 1.3~),
          libgradle-ear-java (<< 1.3~),
          libgradle-eclipse-java (<< 1.0~),
          libgradle-ide-java (<< 1.3~),
          libgradle-idea-java (<< 1.0~),
          libgradle-javascript-java (<< 1.3~),
          libgradle-jetty-java (<< 1.3~),
          libgradle-maven-java (<< 1.3~),
          libgradle-osgi-java (<< 1.3~),
          libgradle-scala-java (<< 1.3~),
          libgradle-signing-java (<< 1.3~)
Description: Groovy based build system - All plugins
 Gradle is a build system written in Groovy. It uses Groovy
 also as the language for its build scripts. It has a powerful
 multi-project build support. It has a layer on top of Ivy
 that provides a build-by-convention integration for Ivy. It
 gives you always the choice between the flexibility of Ant
 and the convenience of a build-by-convention behavior.
 .
 This package contains the Gradle Plugins:
  * announce plugin: enables you to publish messages on succeeded
    tasks to your favourite platforms.
    It supports Twitter, Ubuntu Notify, Snarl and Growl.
  * ANTLR plugin that extends the Java plugin to add support for
    generating parsers using ANTLR
  * code-quality plugin that adds
    tasks which perform code quality checks and generate reports from these
    checks. The following tools are supported: CodeNarc and checkstyle
  * ide plugins that provide integration with
    common used IDEs like Eclipse and IDEA IntelliJ.
  * jetty plugin that extends the
    War plugin to add tasks which allow you to deploy your web application
    to a Jetty web container embedded in the build.
  * maven plugin. With Gradle you can deploy
    to remote Maven repositories or install to your local Maven repository.
    This includes all Maven metadata manipulation and works also for Maven
    snapshots.
  * osgi plugin: if the Java plugins is
    applied, the OSGi plugin replaces the manifest object of the default jar
    with an OsgiManifest object. The replaced manifest is merged into the new
    one. The OSGi plugin makes heavy use of Peter Kriens BND tool
  * scala plugin that extends the
    Java Plugin to add support for Scala projects. It can deal with Scala-only
    projects and with mixed Java/Scala projects. It can even deal with
    Java-only projects. The Scala plugin supports joint compilation of Java and
    Scala source. This means your project can contain Scala classes which use
    Java classes, and vice versa.
  * cpp plugin: C++ source compilation capabilities to a project.
  * ear plugin: Adds support for building J2EE applications.
  * javascript plugin: Adds the ability to check and minify Javascript files.
  * signing plugin: Adds the ability to digitally sign built files and
    artifacts.

Package: gradle-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: libgradle-core-java (= ${binary:Version})
Suggests: default-jdk-doc, groovy-doc
Description: Documentation for gradle
 Documentation for the Gradle core library.
 .
 Gradle is a build system written in Groovy. It uses Groovy
 also as the language for its build scripts. It has a powerful
 multi-project build support. It has a layer on top of Ivy
 that provides a build-by-convention integration for Ivy. It
 gives you always the choice between the flexibility of Ant
 and the convenience of a build-by-convention behavior.
 .
 This package contains the Gradle Core API javadocs.
