## gradle 2.5

=== debian/changelog ===
gradle (2.5-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Markus Koschany <apo@gambaru.de>  Mon, 17 Aug 2015 20:02:49 +0200

gradle (2.5-2) experimental; urgency=medium

  [ Markus Koschany ]
  * Add use-bndlib-1.50.0.patch and switch to bnd 1.50.0, so that Gradle can be
    uploaded to unstable.
  * debian/control: Remove versioned dependency of bnd.

  [ Kai-Chung Yan ]
  * New maven_builder_support.diff: maven-builder-support.jar is also needed
  * use_local_artifacts.diff: Remove version of plexus-cipher and
    plexus-sec-dispatcher
  * d/gradle.1.md: Correct typo and update version

 -- Kai-Chung Yan <seamlikok@gmail.com>  Fri, 14 Aug 2015 23:55:50 +0800

gradle (2.5-1) experimental; urgency=low

  * New upstream release (Closes: #754725)
  * d/control: Remove libmaven2-core-java(-doc)
               Remove bintray-client-java
               Change Groovy dependencies to groovy2 (>= 2.3.10)
               Remove groovy from Build-Conflicts
               Remove libjna-posix-java
               Remove ant-optional
               Remove libplexus-container-default-java
               Change maven to libmaven3-core-java (>= 3.3.3)
  * d/watch: Watch services.gradle.org
  * d/copyright: Add Files-Excluded for uscan
  * d/rules: Simplify get-orig-source target
  * Drop multiple patches under d/patches/:
    - 03_plexus.diff: Files not exist
    - 11_fix_jni_path.diff: Files not exist
    - 35_ivy_23.diff: Files not exist
    - 36_java8_compatibility.diff: Files not exist
    - 37_replace_internal_testng_api.diff: Files not exist
    - 38_use_jdk7_nio_file_api.diff: Files not exist
    - 39_ignore_test_processor_assertion.diff: Files not exist
    - bintray_api.diff: No longer use bintray
    - bintray_dependencies.diff: No longer use bintray
    - diagnostics_jquery.diff: Minified .js not exist
    - disable_css3pie.diff: No longer use css3pie
    - remove_test_dependencies.diff: Integrated into disable_tests.diff
  * Multiple new patches under debian/patches/:
    - disable_aws.diff: AWS SDK for Java is not in Debian
    - disable_java9.diff: java9.gradle causes errors
    - taskOrdering.diff: shouldRunAfter() is not in Gradle 1.5
    - maven_depends.diff: Maven module uses jcommander but does not declare
    - maven_testng.diff: Maven module uses a deprecated API from testng
    - nekohtml.diff: Fix nekohtml usage
    - relax_warnings.diff: strictCompile.gradle is too strict
    - eclipse-aether.diff: Original aether is deprecated
    - maven-aether-provider.diff: Used deprecated API of maven-aether-provider
  * gradle-doc no longer provides Gradle User Guide and DSL Reference because
    missing Sonar plugins cause their compilation to produce errors.

 -- Kai-Chung Yan <seamlikok@gmail.com>  Mon, 13 Jul 2015 22:47:30 +0200

gradle (1.12-1) experimental; urgency=medium

  * New upstream release (Closes: #733148)
  * d/control: Refresh multiple Build-Depends and Depends
  * d/control: Add myself as Uploaders (Closes: #683666)
  * d/bootstrap: Use Gradle 1.5 for bootstrap
  * d/gradle.1.md: Updated man page for gradle using Pandoc Markdown
  * Remove most symlinks to external jar files
  * Install multiple doc-base for all documentations
  * Move jars between packages
    - gradle-cli.jar from gradle to libgradle-core-java
    - gradle-open-api.jar from gradle to libgradle-core-java
    - gradle-messaging.jar from gradle to libgradle-core-java
    - gradle-native.jar from gradle to libgradle-core-java
    - gradle-tooling-api.jar from gradle to libgradle-core-java
  * Drop multiple patches under debian/patches/:
    - 13_fix_javadocs_links.diff: Already merged into docs.diff
    - 23_replace_jna-posix_with_jnr-posix.diff: Future Gradle no longer use jnr
    - 24_pegdown.diff: Pegdown is already in Debian
    - 27_maven.diff: Already merged into use_local_artifacts.diff
    - 28_findbugs.diff: Findbugs is already in Debian
    - 31_hamcrest_12.diff: This patch is for tests codes, hence not needed
    - 90_respect_user_java_home.diff: No longer needed in Gradle 1.12
  * Multiple new patches under debian/patches/
    - bintray-api.diff: Update the usage of bintray APIs 0.8.1
    - bintray-dependencies.diff: bintray libraries are renamed in 0.8.1
    - build_init.diff: build-init.gradle uses APIs higher than Gradle 1.5
    - diagnostics_jquery.diff: Use local jQuery instead of shipping one
    - disable_buildSrc_tests.diff: Disable buildSrc tests
    - disable_distributions.diff: Disable the tasks to generate a Zip file
    - disable_docs.diff: Temporarily disable Gradle documentations
    - disable_sonar.diff: Updated version of 02_sonar.diff
    - disable_tests.diff: Extended version of 32_disable_it.diff
    - fix_DocGenerationException.diff:
    - jetty.diff: Replace some Jetty libraries with existing ones
    - remove_test_depedencies.diff: Remove dependencies for building tests
    - search_system_jar.diff: Let Gradle search Java libraries in
      /usr/share/java/
    - use_local_artifacts.diff: Updated version of 01_use_debian_jars.diff

 -- Kai-Chung Yan <seamlikok@gmail.com>  Fri, 26 Jun 2015 23:44:30 +0200

gradle (1.5-3) unstable; urgency=medium

  * Team upload.
  * Fixed a compatibility issue with testng 6.9
  * Use the JDK 7 API for the chmod/stat operations until jnr-posix
    is fixed in sid
  * Removed a failing assertion in JUnitTestEventAdapter

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 05 Jun 2015 14:40:27 +0200
