=== debian/watch ===
version=3
http://services.gradle.org/distributions /distributions/gradle-(\d.*)-src\.zip
