## gradle 2.7

=== debian/changelog ===
gradle (2.7-1) unstable; urgency=low

  [ Kai-Chung Yan ]
  * New upstream release
  * d/copyright: Simplify file exclusion pattern with *.min.js
  * Remove maven_testng.diff: No longer needed.
  * d/control:
    - Remove maven from Build-Depends
    - Add libcglib3-java to Build-Depends
    - Build-Depends on gradle (>= 2.5)
    - Add dh-exec to Build-Depends
    - Add java6-runtime-headless to Depends as an option
    - Replace dependencies of libservlet2.5-java and libtomcat7-java with
      libservlet3.1-java and libtomcat8-java
    - Add default-jre to Suggests and document it in the description
    - Remove all Recommends
  * d/rules: No need to copy gradle-core codes to buildSrc
  * Remove fix_DocGenerationException.diff: No longer needed
  * Update maven_jcommander.diff to jcommander.diff
  * Remove build_init.diff: Obsolete
  * Remove taskOrdering.diff: Obsolete
  * d/rules: Update parallel Gradle usage
  * Add an application menu entry for Gradle GUI
  * Add symlinks to all Gradle jars in /usr/share/gradle, making a pseudo
    making a pseudo Gradle installation
  * New d/generate-classpath.gradle: Auto generate
    classpath attributes to jar manifest
  * Refresh use_local_artifacts.diff and jetty.diff to migrate to Tomcat 8
    (Closes: #801014)
  * New d/generate-pom.gradle: Auto generate POMs and install to maven-repo

  [ Emmanuel Bourg ]
  * debian/watch: Exclude the release candidates from the versions reported

 -- Kai-Chung Yan <seamlikok@gmail.com>  Mon, 26 Oct 2015 16:31:38 +0100
