=== debian/control ===
--- 
+++ 
@@ -7,12 +7,14 @@
 Priority: optional
 Build-Depends: ant,
                bnd,
+               checkstyle,
                debhelper (>= 9),
                default-jdk (>= 1:1.6),
                default-jdk-doc,
+               dh-exec,
                docbook-xsl,
                findbugs,
-               gradle (>= 1.5),
+               gradle (>= 2.5),
                groovy2 (>= 2.3.10),
                groovy2-doc,
                ivy,
@@ -22,6 +24,7 @@
                libasm4-java (>= 5),
                libatinject-jsr330-api-java,
                libbcpg-java,
+               libcglib3-java,
                libclassworlds-java,
                libclassycle-java,
                libcommons-cli-java,
@@ -59,33 +62,31 @@
                libplexus-utils-java,
                libpolyglot-maven-java,
                librhino-java,
-               libservlet2.5-java,
+               libservlet3.1-java,
                libslf4j-java,
                libspock-java,
-               libtomcat7-java,
+               libtomcat8-java,
                libxalan2-java,
                libxbean-java,
                libxerces2-java,
                libxslthl-java,
-               maven (>= 3),
+               maven-repo-helper,
                pandoc,
                testng
 Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-java/gradle.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-java/gradle.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/gradle.git
 Homepage: http://gradle.org
 
 Package: gradle
 Architecture: all
-Depends: default-jre-headless (>= 1:1.6),
+Depends: default-jre-headless (>= 1:1.6) | java7-runtime-headless | java6-runtime-headless,
          libgradle-core-java (>= ${binary:Version}),
          libgradle-plugins-java (>= ${binary:Version}),
          ${misc:Depends}
 Breaks: libgradle-core-java (<< 1.12)
 Replaces: libgradle-core-java (<< 1.12)
-Recommends: default-jdk,
-            libcodenarc-groovy-java,
-            scala
+Suggests: default-jre
 Description: Powerful build system for the JVM
  Gradle is a build tool with a focus on build automation and support for
  multi-language development. If you are building, testing, publishing, and
@@ -95,6 +96,9 @@
  across multiple languages and platforms including Java, Scala, Android, C/C++,
  and Groovy, and is closely integrated with development tools and continuous
  integration servers including Eclipse, IntelliJ, and Jenkins.
+ .
+ Gradle has an GUI interface by using "gradle --gui". If you want to use it,
+ default-jre must be installed to provide GUI functionalities.
 
 Package: libgradle-core-java
 Architecture: all
@@ -164,8 +168,8 @@
          libplexus-utils-java,
          libpolyglot-maven-java,
          librhino-java,
-         libservlet2.5-java,
-         libtomcat7-java,
+         libservlet3.1-java,
+         libtomcat8-java,
          libxerces2-java,
          testng,
          ${misc:Depends}
