=== debian/rules ===
#!/usr/bin/make -f

GRADLE_TASKS := assemble startScripts javadocAll groovydocAll samplesDocs
export GRADLE_VERSION = $(shell cat version.txt)

# Only for debug purpose
# export JAVA_OPTS=-agentlib:jdwp=transport=dt_socket,server=y,suspend=y,address=5005

# Under fakeroot Gradle will show error while creating /root/.gradle, hence
# specifies the Gradle home location
GRADLE_FLAGS := --project-prop finalRelease=true --offline --gradle-user-home .gradlehome --stacktrace

# Support for DEB_BUILD_OPTIONS parallel=n
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMTHREADS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	GRADLE_FLAGS += --parallel --max-workers=$(NUMTHREADS)
endif

%:
	dh $@ --with javahelper,jh_maven_repo_helper

override_dh_auto_build:

	gradle $(GRADLE_TASKS) $(GRADLE_FLAGS)
	pandoc -s -o debian/gradle.1 debian/gradle.1.md

override_dh_auto_clean:
	dh_auto_clean

	gradle clean $(GRADLE_FLAGS)
	rm -rf debian/gradle.1
	rm -rf .gradle .gradlehome buildSrc/.gradle buildSrc/build
	rm -rf debian/*.pom

override_dh_install:
	dh_install

	# Remove lintian warning zero-byte-file-in-doc-directory
	rm debian/gradle-doc/usr/share/doc/gradle/groovydoc/org/gradle/api/distribution/Distribution.html
	rm debian/gradle-doc/usr/share/doc/gradle/groovydoc/org/gradle/api/initialization/Settings.html

override_mh_linkjars:
	# By default "mh_linkjars --skip-clean-pom" will be executed and no symlinks
	# are generated. But removing the flag "--skip-clean-pom" makes things work.
	# I don't know why so far.
	mh_linkjars

get-orig-source:
	uscan --download-current-version --force-download --repack --compression xz

# since gradle build-depends on itself, a way to generate a deb from upstream
# binary distribution is provided with this target. With the resulting .deb,
# gradle can be rebuilt from source.
bootstrap:
	cd $(dir $(firstword $(MAKEFILE_LIST)))../ && \
	./debian/bootstrap.sh
