## gradle 2.8

=== debian/changelog ===
gradle (2.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Updated the Lintian overrides libgradle-core-java
  * Re-use the faster clean logic from gradle-debian-helper
  * Build depend on libspock-java >= 0.7 and drop disable_buildSrc_tests.diff

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 30 Dec 2015 15:00:47 +0100

gradle (2.7-4) unstable; urgency=medium

  * Team upload.

  [ Emmanuel Bourg ]
  * Fixed the compatibility with Maven 3.3.9 by adding commons-lang3
    to the classpath

  [ Kai-Chung Yan ]
  * Removed the Debian revision from the version number in the manpage

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 24 Nov 2015 13:14:44 +0100

gradle (2.7-3) unstable; urgency=medium

  * Team upload.
  * Drop use-bndlib-1.50.0.patch and transition to bnd 2.1.0.

 -- Markus Koschany <apo@debian.org>  Tue, 17 Nov 2015 20:41:57 +0100

gradle (2.7-2) unstable; urgency=medium

  * Team upload.
  * d/rules: Remove mh_linkjars override. Apparently the override makes no
    difference.
  * Add ivy-2.4.0.patch and fix FTBFS with ivy 2.4.0. Thanks to
    Christ West for the report and Mikołaj Izdebski for the patch.
    (Closes: #804470)

 -- Markus Koschany <apo@gambaru.de>  Wed, 11 Nov 2015 21:55:31 +0100
