=== debian/rules ===
--- 
+++ 
@@ -20,30 +20,21 @@
 	dh $@ --with javahelper,jh_maven_repo_helper
 
 override_dh_auto_build:
-
 	gradle $(GRADLE_TASKS) $(GRADLE_FLAGS)
 	pandoc -s -o debian/gradle.1 debian/gradle.1.md
 
 override_dh_auto_clean:
 	dh_auto_clean
-
-	gradle clean $(GRADLE_FLAGS)
+	find . -wholename .*build/tmp | xargs echo | sed -e 's^build/tmp^build^g' | xargs rm -Rf
+	rm -rf .gradle .gradlehome buildSrc/.gradle buildSrc/build build
 	rm -rf debian/gradle.1
-	rm -rf .gradle .gradlehome buildSrc/.gradle buildSrc/build
 	rm -rf debian/*.pom
 
 override_dh_install:
 	dh_install
-
 	# Remove lintian warning zero-byte-file-in-doc-directory
 	rm debian/gradle-doc/usr/share/doc/gradle/groovydoc/org/gradle/api/distribution/Distribution.html
 	rm debian/gradle-doc/usr/share/doc/gradle/groovydoc/org/gradle/api/initialization/Settings.html
-
-override_mh_linkjars:
-	# By default "mh_linkjars --skip-clean-pom" will be executed and no symlinks
-	# are generated. But removing the flag "--skip-clean-pom" makes things work.
-	# I don't know why so far.
-	mh_linkjars
 
 get-orig-source:
 	uscan --download-current-version --force-download --repack --compression xz
