## gradle 2.10

=== debian/changelog ===
gradle (2.10-1) unstable; urgency=medium

  * New upstream release
    - Update manpage
  * Drop the use of javahelper since it never works well with maven-repo-helper
  * d/generate_classpath.gradle: Sort classpaths for reproducibility
  * drop d/patches/disable_distributions.diff: Unnecessary

 -- Kai-Chung Yan <seamlikok@gmail.com>  Thu, 21 Jan 2016 15:55:53 +0800

gradle (2.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Apply the java plugin in debian/generate-classpath.gradle

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 06 Jan 2016 17:56:19 +0100
