=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: java
 Priority: optional
 Build-Depends: ant,
-               bnd,
+               bnd (>= 2.1.0),
                checkstyle,
                debhelper (>= 9),
                default-jdk (>= 1:1.6),
@@ -31,6 +31,7 @@
                libcommons-collections3-java,
                libcommons-io-java,
                libcommons-lang-java (>= 2.6),
+               libcommons-lang3-java,
                libcore-renderer-java,
                libdom4j-java,
                libgoogle-gson-java,
@@ -64,7 +65,7 @@
                librhino-java,
                libservlet3.1-java,
                libslf4j-java,
-               libspock-java,
+               libspock-java (>= 0.7),
                libtomcat8-java,
                libxalan2-java,
                libxbean-java,
@@ -145,7 +146,7 @@
 
 Package: libgradle-plugins-java
 Architecture: all
-Depends: bnd,
+Depends: bnd (>= 2.1.0),
          findbugs,
          junit4,
          libantlr-java,
