=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,8 @@
 
 # Under fakeroot Gradle will show error while creating /root/.gradle, hence
 # specifies the Gradle home location
-GRADLE_FLAGS := --project-prop finalRelease=true --offline --gradle-user-home .gradlehome --stacktrace
+GRADLE_FLAGS = --project-prop finalRelease=true --offline --stacktrace \
+               --gradle-user-home debian/.gradlehome
 
 # Support for DEB_BUILD_OPTIONS parallel=n
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -17,7 +18,7 @@
 endif
 
 %:
-	dh $@ --with javahelper,jh_maven_repo_helper
+	dh $@ --with maven_repo_helper
 
 override_dh_auto_build:
 	gradle $(GRADLE_TASKS) $(GRADLE_FLAGS)
@@ -25,16 +26,22 @@
 
 override_dh_auto_clean:
 	dh_auto_clean
-	find . -wholename .*build/tmp | xargs echo | sed -e 's^build/tmp^build^g' | xargs rm -Rf
-	rm -rf .gradle .gradlehome buildSrc/.gradle buildSrc/build build
-	rm -rf debian/gradle.1
-	rm -rf debian/*.pom
+	find . -wholename .*build/generated-resources | xargs echo | sed -e 's^build/generated-resources^build^g' | xargs rm -Rf
+	rm -r -f .gradle debian/.gradlehome buildSrc/.gradle buildSrc/build build
+	rm -r -f debian/gradle.1 debian/*.pom
 
 override_dh_install:
 	dh_install
 	# Remove lintian warning zero-byte-file-in-doc-directory
 	rm debian/gradle-doc/usr/share/doc/gradle/groovydoc/org/gradle/api/distribution/Distribution.html
 	rm debian/gradle-doc/usr/share/doc/gradle/groovydoc/org/gradle/api/initialization/Settings.html
+	rm debian/gradle-doc/usr/share/doc/gradle/dsl/dsl-standalone.html
+	rm debian/gradle-doc/usr/share/doc/gradle/dsl/sidebar.js
+
+override_mh_install:
+	mh_install
+	# I have no idea why this exist, maven-repo-helper has so many bugs
+	rm -r debian/libgradle-core-java/subprojects
 
 get-orig-source:
 	uscan --download-current-version --force-download --repack --compression xz
