## gradle 2.11

=== debian/changelog ===
gradle (2.11-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Install the new gradle-testing-base and gradle-testing-jvm artifacts
  * Removed the unused dependency on libclassworlds-java
  * Depend on libasm-java instead of libasm4-java
  * Depend on libcglib-nodep-java instead of libcglib3-java
  * Depend on groovy instead of groovy2

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 03 May 2016 08:57:42 +0200

gradle (2.10-2) unstable; urgency=medium

  * Team upload.
  * Fixed the CycleDetectedException when installing Maven artifacts.
    Thanks to Mikolaj Izdebski for the patch. (Closes: #810817)
  * Removed disable_java9.diff (no longer required)
  * Removed 26_disable_commitid.diff (not required)
  * Replaced disable_release_notes.diff with a task exclusion parameter
  * Moved aether dependencies changes to eclipse-aether.diff
  * Merged maven-aether-provider.diff into eclipse-aether.diff
  * Merged maven_builder_support.diff into maven-3.3.9-compatibility.patch
  * Removed unnecessary changes performed by use_local_artifacts.diff
  * Standards-Version updated to 3.9.7 (no changes)
  * Use a secure Vcs-Git URL

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 01 Mar 2016 15:17:36 +0100
