=== debian/control ===
--- 
+++ 
@@ -15,17 +15,16 @@
                docbook-xsl,
                findbugs,
                gradle (>= 2.5),
-               groovy2 (>= 2.3.10),
-               groovy2-doc,
+               groovy (>= 2.3.10),
+               groovy-doc,
                ivy,
                javahelper,
                junit4,
                libantlr-java,
-               libasm4-java (>= 5),
+               libasm-java (>= 5.0),
                libatinject-jsr330-api-java,
                libbcpg-java,
-               libcglib3-java,
-               libclassworlds-java,
+               libcglib-nodep-java,
                libclassycle-java,
                libcommons-cli-java,
                libcommons-collections3-java,
@@ -74,8 +73,8 @@
                maven-repo-helper,
                pandoc,
                testng
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-java/gradle.git
+Standards-Version: 3.9.7
+Vcs-Git: https://anonscm.debian.org/git/pkg-java/gradle.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/gradle.git
 Homepage: http://gradle.org
 
@@ -104,9 +103,9 @@
 Package: libgradle-core-java
 Architecture: all
 Depends: ant,
-         groovy2 (>= 2.3.10),
+         groovy (>= 2.3.10),
          ivy,
-         libasm4-java (>= 5),
+         libasm-java (>= 5.0),
          libatinject-jsr330-api-java,
          libcommons-collections3-java,
          libcommons-io-java,
@@ -152,7 +151,6 @@
          libantlr-java,
          libatinject-jsr330-api-java,
          libbcpg-java,
-         libclassworlds-java,
          libcommons-cli-java,
          libdom4j-java,
          libgoogle-gson-java,
@@ -215,7 +213,7 @@
 Architecture: all
 Section: doc
 Depends: default-jdk-doc,
-         groovy2-doc,
+         groovy-doc,
          ${misc:Depends}
 Description: Powerful build system for the JVM - Documentations
  Gradle is a build tool with a focus on build automation and support for
