=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-GRADLE_TASKS := assemble startScripts javadocAll groovydocAll samplesDocs
+GRADLE_TASKS := assemble startScripts javadocAll groovydocAll samplesDocs -x :docs:releaseNotes
 export GRADLE_VERSION = $(shell cat version.txt)
 
 # Only for debug purpose
