## gradle 2.12

=== debian/changelog ===
gradle (2.12-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Standards-Version updated to 3.9.8 (no changes)

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 12 May 2016 10:33:01 +0200
