=== debian/control ===
--- 
+++ 
@@ -73,7 +73,7 @@
                maven-repo-helper,
                pandoc,
                testng
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/pkg-java/gradle.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/gradle.git
 Homepage: http://gradle.org
